Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 685618 - dev-libs/hyperscan-5.1.0 : CMake Error at CMakeLists.txt:204 (message): Something went wrong determining gcc tune: -mtune=option: not valid
Summary: dev-libs/hyperscan-5.1.0 : CMake Error at CMakeLists.txt:204 (message): Some...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Christian Roessner
URL:
Whiteboard:
Keywords:
Depends on: 691384
Blocks:
  Show dependency tree
 
Reported: 2019-05-11 13:19 UTC by Toralf Förster
Modified: 2019-10-08 14:35 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,14.31 KB, text/plain)
2019-05-11 13:19 UTC, Toralf Förster
Details
CMakeError.log (CMakeError.log,10.30 KB, text/plain)
2019-05-11 13:19 UTC, Toralf Förster
Details
CMakeOutput.log (CMakeOutput.log,76.81 KB, text/plain)
2019-05-11 13:19 UTC, Toralf Förster
Details
dev-libs:hyperscan-5.1.0:20190511-125438.log (dev-libs:hyperscan-5.1.0:20190511-125438.log,8.68 KB, text/plain)
2019-05-11 13:19 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,31.21 KB, text/plain)
2019-05-11 13:19 UTC, Toralf Förster
Details
environment (environment,126.34 KB, text/plain)
2019-05-11 13:20 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,10.48 KB, application/x-bzip)
2019-05-11 13:20 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,8.53 KB, application/x-bzip)
2019-05-11 13:20 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,29.39 KB, application/x-bzip)
2019-05-11 13:20 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2019-05-11 13:19:45 UTC
-- Building shared libraries
-- gcc version 9.1.0
CMake Error at CMakeLists.txt:204 (message):
  Something went wrong determining gcc tune: -mtune=option: not valid



  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-no-multilib_libressl_20190510-225704

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.1.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems) *
  [2]   ruby25 (with Rubygems)
  [3]   ruby26 (with Rubygems)




emerge -qpvO dev-libs/hyperscan
[ebuild  N    ] dev-libs/hyperscan-5.1.0  USE="-static-libs" CPU_FLAGS_X86="ssse3" PYTHON_TARGETS="python2_7"
Comment 1 Toralf Förster gentoo-dev 2019-05-11 13:19:47 UTC
Created attachment 576010 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2019-05-11 13:19:50 UTC
Created attachment 576012 [details]
CMakeError.log
Comment 3 Toralf Förster gentoo-dev 2019-05-11 13:19:53 UTC
Created attachment 576014 [details]
CMakeOutput.log
Comment 4 Toralf Förster gentoo-dev 2019-05-11 13:19:56 UTC
Created attachment 576016 [details]
dev-libs:hyperscan-5.1.0:20190511-125438.log
Comment 5 Toralf Förster gentoo-dev 2019-05-11 13:19:59 UTC
Created attachment 576018 [details]
emerge-history.txt
Comment 6 Toralf Förster gentoo-dev 2019-05-11 13:20:01 UTC
Created attachment 576020 [details]
environment
Comment 7 Toralf Förster gentoo-dev 2019-05-11 13:20:04 UTC
Created attachment 576022 [details]
etc.portage.tbz2
Comment 8 Toralf Förster gentoo-dev 2019-05-11 13:20:07 UTC
Created attachment 576024 [details]
logs.tbz2
Comment 9 Toralf Förster gentoo-dev 2019-05-11 13:20:10 UTC
Created attachment 576026 [details]
temp.tbz2
Comment 10 Emil Petrakov 2019-07-19 21:16:11 UTC
It seems that this bug was fixed, look at GitHub: https://github.com/intel/hyperscan/issues/136 -> https://github.com/intel/hyperscan/commit/5c8f06e4c89ff6ee58ef11035de7feb7b628153b.

Will this patch be included in Gentoo repository?
Comment 11 Daniel Kenzelmann 2019-07-29 17:11:00 UTC
How about just bumping to 5.1.1?

https://github.com/intel/hyperscan/releases/tag/v5.1.1

"Bugfix for issue #136: fix CMake parsing of CPU architecture for GCC-9."
Comment 12 Larry the Git Cow gentoo-dev 2019-10-08 14:35:57 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1193c695e7acd1c77848779e1d6c9f5dc3d8a82d

commit 1193c695e7acd1c77848779e1d6c9f5dc3d8a82d
Author:     Alexey Shvetsov <alexxy@gentoo.org>
AuthorDate: 2019-10-08 11:36:14 +0000
Commit:     Alexey Shvetsov <alexxy@gentoo.org>
CommitDate: 2019-10-08 14:35:20 +0000

    dev-libs/hyperscan: Fix build for gcc9.x
    
    Closes: https://bugs.gentoo.org/685618
    Closes: https://bugs.gentoo.org/691384
    Closes: https://bugs.gentoo.org/696856
    Package-Manager: Portage-2.3.76, Repoman-2.3.17
    Signed-off-by: Alexey Shvetsov <alexxy@gentoo.org>

 dev-libs/hyperscan/hyperscan-5.1.1.ebuild | 8 +++++++-
 dev-libs/hyperscan/hyperscan-5.2.0.ebuild | 8 +++++++-
 2 files changed, 14 insertions(+), 2 deletions(-)